%define name photopc
%define version 3.04
%define release 1mdk


Summary: Digital camera image downloader
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: free to distribute and use
URL: http://www.average.org/digicam/
Group: Graphics
Source: %{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description
This is a library and a command-line frontend to manipulate digital
still cameras based on Fujitsu chipset and Sierra Imaging firmware.  The
program is known to work with Agfa, Epson, Olympus, Sanyo and Nikon (at
least CoolPix 900, but not CoolPix 600!) cameras.

The cameras typically come with software for Windows and for Mac, and no
description of the protocol.  With this tool, they are managable from a
UNIX box.  Bruce D. Lightner <lightner@lightner.net> has added support
for Win32 and DOS platforms.  Note that the program does not have any
GUI, it is plain command-line even on Windows.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make LDGLAGS=-s #why G?

%install
make install prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README protocol.htm usage.htm
/usr/bin/*
/usr/man/man*/*

%changelog
* Mon Apr 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.04-1mdk
- v 3.0.4
- clean spec

* Sun Aug 08 1999 Tim Ricketts <tr@oxlug.org>
- first RPM
